cancel
Showing results for 
Search instead for 
Did you mean: 

WICED Smart Bluetooth

Anonymous
Not applicable

I have built the HelloClient sample from the SDK but when I attempt to run it the LoadLibrary call fails and the assumed error in the sample code is "Broadcom Bluetooth profile pack for Windows (BTW) has to be installed". I am using an OEM part from IOGear that uses version 6.5.1.2700 of the BCM stack. Does anyone know of an additional installer that can the profile pack referred to in the error message?

0 Likes
1 Solution
VictorZ_46
Employee

We need to apologize for a glitch on the Bluetooth for Windows download site.  The problem was fixed and downloads should be working for Win7/Win8/Win8.1 for both 32 and 64 bit OSs.  The software which is shipped with Plugable dongles should be probably fine.  It is the same package but a bit older version.  All recent testing was done with the SW from the web site.  That is why we recommend to use that.

View solution in original post

0 Likes
13 Replies
ShawnA_01
Employee

Please make sure you are running version 1.0.1 or later of the SDK.  There was in issue with HelloClient demo with the original SDK 1.0.0.   (version 1.1.0 is now available)

Also, please make sure you have the latest Drivers from http://www.broadcom.com/support/bluetooth/update.php

0 Likes
Anonymous
Not applicable

I am running 1.1.0 and unfortunately the driver upgrade you pointed me to fails to install.....

0 Likes
ShawnA_01
Employee

What operating system are you running?  What is the error message when you run the installer?  Are you sure you are using a Broadcom BLE (or dual mode) Radio in your machine?   By chance is there more than one BT radio in your system?   I am not familiar with the OEM part from IOGear ... can you elaborate more for please?

0 Likes
Anonymous
Not applicable

The IOGear part is based on the BCM20702 chip. Here is the error I see when I try the update you suggestedbcm installation.jpg

0 Likes
MichaelF_56
Moderator
Moderator

Recall that you may have to disable the Bluetooth radio already running on your PC when trying to install the new software using the dongle. The software will attempt to verify if the radio is Broadcom based.


The BTW 6.5.1 (Profile Pack) is on the web at the address  Shawn noted.

0 Likes
Anonymous
Not applicable

"Recall that you may have to disable the Bluetooth radio already running on your PC when trying to install the new software using the dongle" If I do this then how will the software be able to "verify if the radio is Broadcom based."??

0 Likes
MichaelF_56
Moderator
Moderator

The Broadcom based radio on the dongle will be running.  The one included with your PC/Laptop will be disabled.

0 Likes
Anonymous
Not applicable

My PC does not have an embedded radio.

0 Likes
MichaelF_56
Moderator
Moderator

Let me ask around to see what else could cause the failure of the Profile Pack.  The prescence of a non-Broadcom radio running on the PC is the most common reason.

0 Likes
Anonymous
Not applicable

The official Broadcom drivers indicated by Shawn do not work for me either. It just sits on "Verifying Bluetooth Device" forever. (I'm using a VirtualBox VM  on a MacBook Pro, so I do have another Bluetooth device built-in; disabling it doesn't help.)

However, these drivers do work fine:

Plugable USB-BT4LE Bluetooth 4.0 USB Adapter for Windows and Linux PCs | Plugable

0 Likes
VictorZ_46
Employee

We need to apologize for a glitch on the Bluetooth for Windows download site.  The problem was fixed and downloads should be working for Win7/Win8/Win8.1 for both 32 and 64 bit OSs.  The software which is shipped with Plugable dongles should be probably fine.  It is the same package but a bit older version.  All recent testing was done with the SW from the web site.  That is why we recommend to use that.

View solution in original post

0 Likes
Anonymous
Not applicable

This is my issue. Can't start Microsoft Bluetooth Stack, how to solve this issue?

New Bitmap Image.bmp

0 Likes
MichaelF_56
Moderator
Moderator

Please confirm which dongle are you using, along with the version of Microsoft Windows.

In addition, you will need to disable any BT radio that may be installed on the PC you are installing the SW on as the update will try to update the onboard non-BRCM radio as opposed to the BCM20702 based radio in the dongle.

We have had a few cases where we could not get these to work, so moving forward we are recommending that customers purchase a BCM20702 based dongle from one of our partners:

http://www.amazon.com/Plugable-Bluetooth-Adapter-Windows-Compatible/dp/B009ZIILLI/ref=pd_rhf_cr_s_cp...

http://www.amazon.com/Broadcom-BCM20702-UtechSmart-Bluetooth-Compatible/dp/B00DDH4TYA/ref=sr_1_fkmr1...

0 Likes